MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024912Community[OCCT] OCCT:Codingpublic2014-05-09 02:022014-11-11 12:52
ReporterEpy 
Assigned Toapn 
PrioritylowSeverityintegration request 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024912: Remove unused Graphic3d_Strips
DescriptionClang gives the following new warnings with 6.7.1:

src/Graphic3d/Graphic3d_Strips.cxx:248:7: warning:
template argument uses local type 'edg' [-Wlocal-type-template-args]
Standard::Free(cedge);

src/Graphic3d/Graphic3d_Strips.cxx:251:3: warning:
template argument uses local type 'edg' [-Wlocal-type-template-args]
Standard::Free(edges);

src/Graphic3d/Graphic3d_Strips.cxx:889:7: warning:
template argument uses local type 'edg' [-Wlocal-type-template-args]
Standard::Free(cedge);

src/Graphic3d/Graphic3d_Strips.cxx:892:3: warning:
template argument uses local type 'edg' [-Wlocal-type-template-args]
Standard::Free(edges);

This is allowed per C++11, however, this is prohibited in C++03. Better to make the template a global type.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024489closedbugmaster Open CASCADE Avoid type casts in call to Standard::Free() 

-  Notes
(0029269)
kgv (developer)
2014-05-12 08:03
edited on: 2014-05-12 08:04

Dear Sergey,

the file looks abandoned and placed in wrong package - probably it is more reasonable to remove it entirely.
Could you please comment if there are any known users of this functionality?

(0029310)
kgv (developer)
2014-05-13 22:27

Please check compilation of the patch in branch CR24912 - regression testing is not needed.
(0029345)
apn (administrator)
2014-05-15 13:55

Dear BugMaster,

Branch CR24912 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms.
SHA-1: 380e2e2de4e20a3c2dbdeb66ccf4f6bfd24b352c

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 201 (212 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

- Related Changesets
occt: master 9efc0d14
Timestamp: 2014-05-13 18:25:11
Author: kgv
Committer: apn
Details ] Diff ]
0024912: Remove unused Graphic3d_Strips
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_Strips.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_Strips.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-09 02:02 Epy New Issue
2014-05-09 02:02 Epy Assigned To => kgv
2014-05-09 09:10 abv Target Version => 6.8.0
2014-05-12 07:54 kgv Relationship added related to 0024489
2014-05-12 07:57 kgv Assigned To kgv => san
2014-05-12 07:57 kgv Severity minor => integration request
2014-05-12 07:57 kgv Priority normal => low
2014-05-12 08:03 kgv Note Added: 0029269
2014-05-12 08:04 kgv Note Edited: 0029269 View Revisions
2014-05-13 22:27 kgv Note Added: 0029310
2014-05-13 22:27 kgv Assigned To san => bugmaster
2014-05-13 22:27 kgv Status new => resolved
2014-05-13 22:27 kgv Summary Template argument uses local type in src/Graphic3d/Graphic3d_Strips.cxx => Remove unused Graphic3d_Strips
2014-05-13 22:27 kgv Status resolved => reviewed
2014-05-14 16:38 apn Assigned To bugmaster => apn
2014-05-15 13:55 apn Note Added: 0029345
2014-05-15 13:55 apn Test case number => Not needed
2014-05-15 13:55 apn Assigned To apn => bugmaster
2014-05-15 13:55 apn Status reviewed => tested
2014-05-16 14:44 apn Changeset attached => occt master 9efc0d14
2014-05-16 14:44 apn Assigned To bugmaster => apn
2014-05-16 14:44 apn Status tested => verified
2014-05-16 14:44 apn Resolution open => fixed
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker